Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.hibernate.criterion
Class DistanceRestriction

    java.lang.Object
      com.gisgraphy.hibernate.criterion.DistanceRestriction

All Implemented Interfaces:
  Serializable, org.hibernate.criterion.Criterion

    public class DistanceRestriction

extends Object
implements org.hibernate.criterion.Criterion

An implementation of the `Criterion` interface that implements distance restriction

Author:
  David Masclet
See Also:
  Serialized Form

Constructor Summary
`DistanceRestriction(com.vividsolutions.jts.geom.Point point, double distance)`
`DistanceRestriction(com.vividsolutions.jts.geom.Point point, double distance, boolean useIndex)`

Method Summary
`org.hibernate.engine.TypedValue[]` | `getTypedValues(org.hibernate.Criteria criteria, org.hibernate.criterion.CriteriaQuery criteriaQuery)`
`String` | `toSqlString(org.hibernate.Criteria criteria, org.hibernate.criterion.CriteriaQuery criteriaQuery)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistanceRestriction

    public DistanceRestriction(com.vividsolutions.jts.geom.Point point,
                               double distance,
                               boolean useIndex)

Parameters:
  `point` - Point we have to calculate the distance from
  `distance` - The distance restriction
  `useIndex` - Wether we must use index or not

### DistanceRestriction

    public DistanceRestriction(com.vividsolutions.jts.geom.Point point,
                               double distance)

Parameters:
  `point` - Point we have to calculate the distance from
  `distance` - The distance restriction by default use index

Method Detail

### getTypedValues

    public org.hibernate.engine.TypedValue[] getTypedValues(org.hibernate.Criteria criteria,
                                                            org.hibernate.criterion.CriteriaQuery criteriaQuery)
                                                     throws org.hibernate.HibernateException

  Specified by:
    `getTypedValues` in interface `org.hibernate.criterion.Criterion`
  Throws:
    `org.hibernate.HibernateException`

### toSqlString

    public String toSqlString(org.hibernate.Criteria criteria,
                              org.hibernate.criterion.CriteriaQuery criteriaQuery)
                       throws org.hibernate.HibernateException

  Specified by:
    `toSqlString` in interface `org.hibernate.criterion.Criterion`
  Throws:
    `org.hibernate.HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.